import { MigrationInterface, QueryRunner } from 'typeorm';

export class AddItemQueueToQueue1731498661938 implements MigrationInterface {
  name = 'AddItemQueueToQueue1731498661938';

  public async up(queryRunner: QueryRunner): Promise<void> {
    await queryRunner.query(
      `ALTER TABLE "queues" ADD "item_queue_id" character varying`,
    );
  }

  public async down(queryRunner: QueryRunner): Promise<void> {
    await queryRunner.query(`ALTER TABLE "queues" DROP COLUMN "item_queue_id"`);
  }
}
